Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 499880

Summary: tomoe-gtk not built with $RPM_OPT_FLAGS
Product: [Fedora] Fedora Reporter: Ville Skyttä <ville.skytta>
Component: tomoe-gtkAssignee: Ding-Yi Chen <dchen>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 11CC: dchen, i18n-bugs, ryo-dairiki
Target Milestone: ---Keywords: Patch, Reopened
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: 0.6.0-11.fc11 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-08-31 23:42:46 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On:    
Bug Blocks: 496968    
Attachments:
Description Flags
Build with $RPM_OPT_FLAGS none

Description Ville Skyttä 2009-05-08 17:50:50 UTC
Created attachment 343135 [details]
Build with $RPM_OPT_FLAGS

Fix attached, see bug 496968 for more info.

I think this is quite obviously an upstream bug; a corresponding patch to macros/python.m4 should be submitted there.

Comment 1 Ding-Yi Chen 2009-05-15 06:34:01 UTC
Thanks for informing me and providing patch for this bug.
However, I tend not to apply patches on generated sources.
Anyway, I will submit the patch to the upstream.

Comment 2 Fedora Update System 2009-05-15 06:40:33 UTC
tomoe-gtk-0.6.0-7.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/tomoe-gtk-0.6.0-7.fc11

Comment 3 Fedora Update System 2009-05-15 06:40:37 UTC
tomoe-gtk-0.6.0-7.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/tomoe-gtk-0.6.0-7.fc10

Comment 4 Fedora Update System 2009-05-15 23:26:34 UTC
tomoe-gtk-0.6.0-7.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update tomoe-gtk'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-4984

Comment 5 Fedora Update System 2009-05-15 23:31:38 UTC
tomoe-gtk-0.6.0-7.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update tomoe-gtk'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-5022

Comment 6 Bug Zapper 2009-06-09 15:28:19 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 7 Fedora Update System 2009-06-30 21:22:09 UTC
tomoe-gtk-0.6.0-7.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2009-06-30 21:29:48 UTC
tomoe-gtk-0.6.0-7.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Ville Skyttä 2009-07-08 16:42:04 UTC
(In reply to comment #1)
> Thanks for informing me and providing patch for this bug.
> However, I tend not to apply patches on generated sources.
> Anyway, I will submit the patch to the upstream.  

Hmm, was your intention to drop the patch altogether or create a corresponding one for non-generated sources?  The package is not currently built with $RPM_OPT_FLAGS even though the changelog entries for 0.6.0-6 and 0.6.0-7 say so -> reopening.

http://kojipkgs.fedoraproject.org/packages/tomoe-gtk/0.6.0/7.fc11/data/logs/x86_64/build.log

Comment 10 Fedora Update System 2009-07-13 04:48:01 UTC
tomoe-gtk-0.6.0-8.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/tomoe-gtk-0.6.0-8.fc11

Comment 11 Fedora Update System 2009-07-13 04:48:06 UTC
tomoe-gtk-0.6.0-8.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/tomoe-gtk-0.6.0-8.fc10

Comment 12 Ville Skyttä 2009-07-15 16:20:33 UTC
The bug is still not fixed; the only changes between -7.fc* and -8.fc* are cosmetic.  See comment 9.

http://cvs.fedoraproject.org/viewvc/rpms/tomoe-gtk/F-11/tomoe-gtk.spec?r1=1.5&r2=1.6
http://kojipkgs.fedoraproject.org/packages/tomoe-gtk/0.6.0/8.fc11/data/logs/x86_64/build.log

Comment 13 Ding-Yi Chen 2009-07-16 07:54:20 UTC
Sorry, I forgot to add back the Buildrequire: autoconf, automake

http://koji.fedoraproject.org/koji/taskinfo?taskID=1477780

Does it works for you now?

Regards,

Comment 14 Ville Skyttä 2009-07-16 14:39:48 UTC
No, it's still not fixed.  Again, please see comment 9: you have dropped the part of my original patch that actually fixes the problem of CFLAGS being discarded:

   python_disable_message="Disable Python binding."
+  _SAVE_CFLAGS="$CFLAGS"
   CFLAGS="$CFLAGS $PYTHON_CFLAGS"

It's easy to verify from the build logs whether $RPM_OPT_FLAGS are in use, for example the first gcc line from http://koji.fedoraproject.org/koji/getfile?taskID=1477780&name=build.log:

/bin/sh ../libtool --tag=CC   --mode=compile gcc -DHAVE_CONFIG_H -I. -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12   -I/usr/include/tomoe -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include    -DSYSCONFDIR=\""/etc"\" -DDATADIR=\""/usr/share"\" -DTOMOEGTKDATADIR=\""/usr/share"/tomoe-gtk\"    -c -o tomoe-canvas.lo tomoe-canvas.c

There are no $RPM_OPT_FLAGS in it.  There should be stuff like "-O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector ..."

Comment 15 Fedora Update System 2009-07-19 10:27:08 UTC
tomoe-gtk-0.6.0-8.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update tomoe-gtk'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-7771

Comment 16 Fedora Update System 2009-07-19 10:36:24 UTC
tomoe-gtk-0.6.0-8.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update tomoe-gtk'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-7791

Comment 17 Fedora Update System 2009-08-10 02:07:08 UTC
tomoe-gtk-0.6.0-11.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/tomoe-gtk-0.6.0-11.fc11

Comment 18 Fedora Update System 2009-08-10 02:07:13 UTC
tomoe-gtk-0.6.0-11.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/tomoe-gtk-0.6.0-11.fc10

Comment 19 Fedora Update System 2009-08-10 21:38:49 UTC
tomoe-gtk-0.6.0-11.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update tomoe-gtk'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-8411

Comment 20 Fedora Update System 2009-08-10 21:54:08 UTC
tomoe-gtk-0.6.0-11.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update tomoe-gtk'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-8448

Comment 21 Fedora Update System 2009-08-31 23:42:41 UTC
tomoe-gtk-0.6.0-11.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 22 Fedora Update System 2009-08-31 23:44:32 UTC
tomoe-gtk-0.6.0-11.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.